<ion-header>
  <ion-toolbar>
    <ion-title>Currency Converter</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content padding scrollY="false">
  <!-- convert from - invisible select -->
  <app-currency-select
    #selectConvertFrom
    hidden
    listTitle="Convert from"
    initialValue="USD"
    (selectedValue)="setCurrencyFrom($event)"
  ></app-currency-select>

  <!-- convert to - invisible select -->
  <app-currency-select
    #selectConvertTo
    hidden
    listTitle="Convert to"
    initialValue="EUR"
    (selectedValue)="setCurrencyTo($event)"
  ></app-currency-select>

  <!-- select currency from -->
  <ion-item lines="inset">
    <app-currency-select-button
      [imgSrc]="currencyFrom.imagePath"
      (click)="selectCurrencyFromClick()"
      slot="start"
    ></app-currency-select-button>

    <ion-label>
      <h1>{{ currencyFrom.symbol }}</h1>
    </ion-label>
    <ion-input
      class="currency-input"
      readonly
      type="text"
      [value]="calculatorValue.string"
    ></ion-input>
  </ion-item>

  <!-- select currency to -->
  <ion-item lines="inset">
    <app-currency-select-button
      [imgSrc]="currencyTo.imagePath"
      (click)="selectCurrencyToClick()"
      slot="start"
    ></app-currency-select-button>

    <ion-label>
      <h1>{{ currencyTo.symbol }}</h1>
    </ion-label>
    <ion-input
      class="currency-input"
      readonly
      type="text"
      [value]="currencyToValue"
    ></ion-input>
  </ion-item>

</ion-content>

<ion-footer>
  <!-- calculator interface -->
  <app-calculator
    (valueChange)="calculatorInput($event)"
    (swap)="swapCurrencies()"
  ></app-calculator>
</ion-footer>
